var pers = []
var table, form, laydate
layui.use(['form', 'layer', 'table', 'laydate'], function() {
	table = layui.table;
	form = layui.form;
	laydate = layui.laydate


	init()
});
var yjIds, insMonths;

// 静态数据
var tableData = [];

/**
 * 初始化数据
 */
function init() {
	// 渲染表格
	table.render({
		elem: '#table',
		// url: "/sys/achievement",
		// page: true,
		skin: 'line', // 表格样式
		cols: [
			[{
					title: '序号',
					field: 'zizeng',
					align: 'center',
					type: 'numbers',
					width: '5%'
				},
				{
					field: 'proName',
					title: '线路名称',
					align: 'center'
				},
				{
					field: 'workContent',
					title: '工作内容',
					align: 'center'
				},
				{
					field: 'stateTime',
					title: '计划开始时间',
					align: 'center'
				},
				{
					field: 'enTime',
					title: '计划结束时间',
					align: 'center'
				},
				{
					field: 'dutyUser',
					title: '责任人（护线员）',
					align: 'center'
				},
				{
					field: 'supervisor',
					title: '督办人（设备主人）',
					align: 'center'
				},
				{
					field: 'complete',
					title: '完成标准',
					align: 'center'
				},
				{
					field: 'remarks',
					title: '备注',
					align: 'center'
				},
			]
		],
		data: tableData,
		done: function(res, curr, count, origin) {

		},
	});

}

function setData(data, yjId, insMonth) {
	yjIds = yjId;
	insMonths = insMonth;
	if (data.length > 0) {
		$('#fgsName').html(data[0].fgsName);
		$('#yjName').html(data[0].yjName);
		$('#insMonth').html(data[0].insMonth);

		setAiDitStatus(data[0].aiDitStatus);

		$('#createUser').html(data[0].createUser);
		$('#createTime').html(data[0].createTime);

		//分公司
		if (data[0].aiDitStatuses) {
			// 获取元素
			var element = document.getElementById('aiDitStatuses');
			// 移除旧的类
			element.classList.remove('planAuditStatus3');
			if(data[0].aiDitStatuses == 2 || data[0].aiDitStatuses == 4){
				element.classList.add('planAuditStatus2');
				$('#aiDitStatuses').html("审核通过");
			}else if(data[0].aiDitStatuses == 3){
				element.classList.add('planAuditStatus4');
				$('#aiDitStatuses').html("审核不通过");
				
				// $('#noPassReason').html(data[0].auditReason);
				
				var auditReason = data[0].auditReason;
				if(auditReason.length > 13){
					auditReason = auditReason.substring(0, 13) + '......'
				}
				$("#noPassReason").text(auditReason);
				$("#noPassReason").attr('title', auditReason);
			}
			
			$('#auditUserName').html(data[0].auditUserName);
			$('#auditTime').html(data[0].auditTime);
			
			
			$('#auditUserName').html(data[0].auditUserName);
			$('#auditTime').html(data[0].auditTime);
		} else {
			$('#aiDitStatuses').html("");
			$('#auditUserName').html("");
			$('#auditTime').html("");
		}

		//总公司
		if (data[0].aiDitStatusTotal) {
			// 获取元素
			var element = document.getElementById('aiDitStatusTotal');
			// 移除旧的类
			element.classList.remove('planAuditStatus3');
			if(data[0].aiDitStatusTotal == 2){
				element.classList.add('planAuditStatus2');
				$('#aiDitStatusTotal').html("审核通过");
			}else if(data[0].aiDitStatusTotal == 3){
				element.classList.add('planAuditStatus4');
				$('#aiDitStatusTotal').html("审核不通过");
				
				var auditReason = data[0].auditReason;
				if(auditReason.length > 13){
					auditReason = auditReason.substring(0, 13) + '......'
				}
				$("#noPassReasonTotal").text(auditReason);
				$("#noPassReasonTotal").attr('title', auditReason);
				
				// $('#noPassReasonTotal').html(data[0].auditReason);
			}
			$('#auditUserNameTotal').html(data[0].auditUserNameTotal);
			$('#auditTimeTotal').html(data[0].auditTimeTotal);
		} else {
			$('#aiDitStatusTotal').html("");
			$('#auditUserNameTotal').html("");
			$('#auditTimeTotal').html("");
		}

		for (var i = 0; i < data.length; i++) {
			tableData.push({
				id: data[i].id,
				proName: data[i].proName,
				yjId: data[i].yjId,
				insMonth: data[i].insMonth,

				workContent: data[i].workContent,
				stateTime: data[i].stateTime,
				enTime: data[i].enTime,
				dutyUser: data[i].dutyUser,
				supervisor: data[i].supervisor,
				complete: data[i].complete,
				remarks: data[i].remarks,

			})
		}
		init();
	} else {
		layer.alert("无数据，请联系管理员", {
			icon: 2
		});
	}
}


function setAiDitStatus(status) {
	$("#subComName").empty();
	var text;
	var color;
	var html = "";
	if (status == '2') {
		text = '已通过';
		color = '#19BE6B';
	}
	if (status == '0' || status == '4') {
		text = '待审核';
		color = '#FF9900';
	}
	if (status == '3') {
		text = '未通过';
		color = '#F56C6C';
	}
	if (status == '1') {
		text = '已撤销';
		color = '#999999';
	}
	html += "<span style='display: flex;align-items: center'>"
	html += `<span style='width: 5px;height: 5px;background: ${color};border-radius: 50%'></span>&nbsp;&nbsp;`
	html += `<span>${text}</span>`
	html += "</span>"

	$("#subComName").append(html);
}


//导出
function exportData() {


	window.location.href = PATH_URL + `/inspectionPlan/exportMonthPlanData?token=` + token +
		"&insMonth=" + insMonths +
		"&yjId=" + yjIds


	layer.msg('下载中,请稍等', {
		icon: 16,
		scrollbar: false
	});
}